move all bash to ash shell scripts

this gerrit would be the first step
to not to use any GPL-3.0 and plus license

Issue-ID: POLICY-2847
Change-Id: I09a571f14ef8c6983f9051068c2bad5acc173787
Signed-off-by: Taka Cho <takamune.cho@att.com>
diff --git a/policy-management/src/main/server-gen/bin/create-secured-topic b/policy-management/src/main/server-gen/bin/create-secured-topic
index b0d4d6f..6e05814 100644
--- a/policy-management/src/main/server-gen/bin/create-secured-topic
+++ b/policy-management/src/main/server-gen/bin/create-secured-topic
@@ -1,17 +1,17 @@
-#! /bin/bash
+#!/usr/bin/env ash
 
 ###
 # ============LICENSE_START=======================================================
 # policy-management
 # ================================================================================
-# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# Copyright (C) 2017-2020 AT&T Intellectual Property. All rights reserved.
 # ================================================================================
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
-# 
+#
 #      http://www.apache.org/licenses/LICENSE-2.0
-# 
+#
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@@ -21,16 +21,16 @@
 ###
 
 function usage() {
-	echo -n "Usage: $(basename $0) "
-	echo -n "[(-d|--debug)] "
-	echo -n "(-h|--host) <bus-host> "
-	echo -n "[(-p|--port) <bus-port>] "
-	echo -n "(-k|--key) <api-key> "
-	echo -n "(-s|--secret) <api-secret> "
-	echo -n "[(-P|--partition) <partition-count>] "
-	echo -n "[(-R|--replication) <replication-count>] "
-	echo "(-t|--topic) <topic> "
-	echo ""
+    echo -n "Usage: $(basename $0) "
+    echo -n "[(-d|--debug)] "
+    echo -n "(-h|--host) <bus-host> "
+    echo -n "[(-p|--port) <bus-port>] "
+    echo -n "(-k|--key) <api-key> "
+    echo -n "(-s|--secret) <api-secret> "
+    echo -n "[(-P|--partition) <partition-count>] "
+    echo -n "[(-R|--replication) <replication-count>] "
+    echo "(-t|--topic) <topic> "
+    echo ""
 }
 
 BUS_PORT=3904
@@ -38,81 +38,81 @@
 REPLICATION_COUNT=1
 
 # command line options parsing
-until [[ -z "$1" ]]; do
-	case $1 in
-		-d|--debug) 	set -x
-				;;
-		-h|--host) 		shift
-					BUS_HOST=$1
-					;;						
-		-p|--port) 		shift
-					BUS_PORT=$1
-					;;
-		-k|--key) 		shift
-					API_KEY=$1
-					;;	
-		-s|--secret) 		shift
-					API_SECRET=$1
-					;;	
-		-t|--topic) 		shift
-					TOPIC=$1
-					;;							
-		-P|--partition-count) 	shift
-					PARTITION_COUNT=$1
-					;;
-		-R|--replication-count) shift
-					REPLICATION_COUNT=$1
-					;;																	
-		*)			usage
-					exit 1
-					;;
-	esac
-	shift
+until [ -z "$1" ]; do
+    case $1 in
+        -d|--debug)     set -x
+                ;;
+        -h|--host)      shift
+                BUS_HOST=$1
+                ;;
+        -p|--port)      shift
+                BUS_PORT=$1
+                ;;
+        -k|--key)       shift
+                API_KEY=$1
+                ;;
+        -s|--secret)    shift
+                API_SECRET=$1
+                ;;
+        -t|--topic)     shift
+                TOPIC=$1
+                ;;
+        -P|--partition-count)     shift
+                PARTITION_COUNT=$1
+                ;;
+        -R|--replication-count) shift
+                REPLICATION_COUNT=$1
+                ;;
+        *)      usage
+                exit 1
+                ;;
+    esac
+    shift
 done
 
-if [[ -z ${BUS_HOST} ]]; then
-	echo "An UEB/DMAAP server must be provided."
-	echo
-	usage
-	exit 1
+if [ -z "${BUS_HOST}" ]; then
+    echo "An UEB/DMAAP server must be provided."
+    echo
+    usage
+    exit 1
 fi
 
-if [[ -z ${API_KEY} ]]; then
-	echo "The API Key must be provided."
-	usage
-	exit 2
+if [ -z "${API_KEY}" ]; then
+    echo "The API Key must be provided."
+    usage
+    exit 2
 fi
 
-if [[ -z ${API_SECRET} ]]; then
-	echo "The API Secret must be provided."
-	usage
-	exit 3
+if [ -z "${API_SECRET}" ]; then
+    echo "The API Secret must be provided."
+    usage
+    exit 3
 fi
 
-if [[ -z ${TOPIC} ]]; then
-	echo "The Topic Name must be provided."
-	usage
-	exit 3
+if [ -z "${TOPIC}" ]; then
+    echo "The Topic Name must be provided."
+    usage
+    exit 3
 fi
 
-if [[ -z ${PARTITION_COUNT} ]]; then
-	echo "The Partition Count must be provided."
-	usage
-	exit 4
+if [ -z "${PARTITION_COUNT}" ]; then
+    echo "The Partition Count must be provided."
+    usage
+    exit 4
 fi
 
-if [[ -z ${REPLICATION_COUNT} ]]; then
-	echo "The Replication Count must be provided."
-	usage
-	exit 5
+if [ -z "${REPLICATION_COUNT}" ]; then
+    echo "The Replication Count must be provided."
+    usage
+    exit 5
 fi
 
 REQUEST_API_KEY_BODY=$(< <(cat <<EOF
 {
-	"topicName": "${TOPIC}",
-	"topicDescription": "Generated by PDP-D $(hostname -f)",
-	"partitionCount": ${PARTITION_COUNT},
-	"replicationCount": ${REPLICATION_COUNT}
+    "topicName": "${TOPIC}",
+    "topicDescription": "Generated by PDP-D $(hostname -f)",
+    "partitionCount": ${PARTITION_COUNT},
+    "replicationCount": ${REPLICATION_COUNT}
 }
 EOF
 ))
@@ -122,9 +122,9 @@
 
 unset http_proxy
 curl --silent -X POST \
-	--header "Accept:" \
-	--header "X-CambriaDate: ${DATE}" \
-	--header "X-CambriaAuth: ${API_KEY}:${DATE_HASH}" \
-	--header "Content-Type: application/json" \
-	--data "${REQUEST_API_KEY_BODY}" \
-	http://${BUS_HOST}:${BUS_PORT}/topics/create
+    --header "Accept:" \
+    --header "X-CambriaDate: ${DATE}" \
+    --header "X-CambriaAuth: ${API_KEY}:${DATE_HASH}" \
+    --header "Content-Type: application/json" \
+    --data "${REQUEST_API_KEY_BODY}" \
+    http://${BUS_HOST}:${BUS_PORT}/topics/create